
Redmine - Defect #14977

 Internal Server Error while uploading file

2013-09-24 15:40 - Valentina Kozimirova

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version:  

Description

Hello,

Sometimes Redmine stops uploading files and shows Internal Server Error when I try to attach file to issue. Application restart fixes

it, but after some time problem comes again (now once a day).

Environment:

Redmine version                          2.3.1.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         PostgreSQL 9.1

Http server - Ngnix with Passenger

In production.log:

Started POST "/uploads.js?attachment_id=1&filename=ocenki.png" for <ip_address> at 2013-09-24 15:52:08 +0400

Processing by AttachmentsController#upload as JS

Parameters: {"attachment_id"=>"1", "filename"=>"ocenki.png"}

Current user: <user.name> (id=28)

Completed 500 Internal Server Error in 41ms

NoMethodError (undefined method `info' for nil:NilClass):

app/models/attachment.rb:105:in `files_to_final_location'

app/controllers/attachments_controller.rb:88:in `upload'

Associated revisions

Revision 12202 - 2013-10-05 13:37 - Jean-Philippe Lang

NoMethodError when uploading a file without logger (#14977).

Revision 12214 - 2013-10-13 10:28 - Jean-Philippe Lang

Merged r12202 (#14977).

History

#1 - 2013-09-25 16:21 - Yar n

i have almost the same error

but on:

Environment:

Redmine version                2.3.3.devel

Ruby version                   1.9.3-p448 (2013-06-27) [x86_64-linux]

Rails version                  3.2.13

Environment                    production

Database adapter               Mysql2

SCM:

Git                            1.7.1

Filesystem

Redmine plugins:

redmine_git_hosting            0.6.2

redmine_plugin_views_revisions 0.0.1
production.log:

Started POST "/uploads.js?attachment_id=1&filename=0_1_dogovor_v8.docx" for 195.208.175.17 at 2013-09-25 14:28

:19 +0400

Processing by AttachmentsController#upload as JS

  Parameters: {"attachment_id"=>"1", "filename"=>"0_1_dogovor_v8.docx"}

  Current user: username (id=10)

Completed 500 Internal Server Error in 78ms

NoMethodError (undefined method `info' for nil:NilClass):

  app/models/attachment.rb:105:in `files_to_final_location'

  app/controllers/attachments_controller.rb:88:in `upload'

 and simple restarting of puma solves problem for some time. but later internal error comes again.

ps. ive commented out app/models/attachment.rb:105

now it is working and i belive it will help for some time.

#2 - 2013-09-26 13:35 - Valentina Kozimirova

I also have plugins

redmine_git_hosting                     0.6.2

redmine_plugin_views_revisions           0.0.1

installed

#3 - 2013-10-05 13:38 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.4

- Resolution set to Fixed

Fixed in r12202, but this error means that you don't have any logger defined. You should check that anyway.

#4 - 2013-10-13 10:28 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
